#
# spec file for package xvidtune
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xvidtune
Version:        1.0.3
Release:        bp153.1.16
Summary:        Video mode tuner for the X server
License:        MIT
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xorg-macros) >= 1.4
BuildRequires:  pkgconfig(xt)
BuildRequires:  pkgconfig(xxf86vm)
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
xvidtune is a client interface to the X server video mode
extension (XFree86-VidModeExtension).

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%{_bindir}/xvidtune
%dir %{_datadir}/X11/app-defaults
%{_datadir}/X11/app-defaults/Xvidtune
%{_mandir}/man1/xvidtune.1%{?ext_man}

%changelog
* Sat Jan 19 2013 zaitor@opensuse.org
- Update to version 1.0.3:
  + Remove unneeded second declaration of buf that shadows the
    first.
  + man: remove trailing spaces and tabs.
  + config:
  - Add missing AC_CONFIG_SRCDIR
  - Move man pages into their own directory.
  - Replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS.
  - Replace deprecated AC_HELP_STRING with AS_HELP_STRING.
  - Remove unrequired AC_SUBST([*_LIBS]).
  - Remove unrequired AC_SUBST([*_CFLAGS]).
  - Remove AC_PROG_CC as it overrides AC_PROG_C_C99.
  - Use AC_PROG_INSTALL now supplied by XORG_DEFAULT_OPTIONS.
  - Upgrade to util-macros 1.8 for additional man page support.
  - Update AC_PREREQ statement to 2.60.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xvidtune from xorg-x11. Initial version: 1.0.2.
